#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/devicetree.h>
#include <stdio.h>
#include <string.h>
#include <zephyr/drivers/spi.h>

struct spi_config config;
const struct device *dev;

void begin_MCP3208(const struct device *pdev, struct spi_cs_control *cs) {
	dev = pdev;
	
	config.frequency = 1000000;
	config.operation = SPI_OP_MODE_MASTER | SPI_WORD_SET(8);
	config.slave = 0;
	config.cs = cs;
	// printk("Addr dev: %d\n", dev);
	// printk("Addr cs: %d\n", config.cs);
}

uint16_t readADC(uint8_t channel) {
	// printk("Loi1\n");
	enum { datacount = 3 };
	uint8_t command[datacount] = {0x00, 0x00, 0x00};
	uint8_t rxdata[datacount];

  	command[0] = ((0x01 << 7) |             // start bit
                (1 << 6) |          // single or differential
              ((channel & 0x07) << 3)); // channel number

	struct spi_buf tx_buf[1] = {
		{.buf = command, .len = datacount},
	};
	struct spi_buf rx_buf[1] = {
		{.buf = rxdata, .len = datacount},
	};

  	struct spi_buf_set tx_set = { .buffers = tx_buf, .count = 1 };
	struct spi_buf_set rx_set = { .buffers = rx_buf, .count = 1 };

	int ret = spi_transceive(dev, &config, &tx_set, &rx_set);

	return 0xFFF & ((rxdata[0] & 0x01) << 11 | (rxdata[1] & 0xFF) << 3 | (rxdata[2] & 0xE0) >> 5);

	// printk("8bit_loopback_partial; ret: %d\n", ret);
	// printk(" tx (i)  : %02x %02x %02x\n",
	//        command[0], command[1], command[2]);
	// printk(" rx (i)  : %02x %02x %02x\n",
	//        rxdata[0], rxdata[1], rxdata[2]);
	// printk("value: %d\n", valueADC);
  // return valueADC;

}