#include <inttypes.h>
#include <stddef.h>
#include <stdint.h>
#include <zephyr/kernel.h>
#include <zephyr/sys/printk.h>

#ifdef __cplusplus
extern "C" {
#endif

void initEMG(void);
bool begin_EMGSensor();
int8_t syncEMGSensor();
uint8_t readSensorStreamBLE();
uint8_t readSensorSDBLE();
uint8_t readSensorBLE();

bool isReady();

void setStateSensor(uint8_t _stateSensor);
void setTimeReadSensor(uint8_t _timeRead);

uint16_t getVref();
float getSampleRate();
void setSampleRate(uint16_t sampleRate);

uint16_t *getThreshold();
// void setThreshold(uint16_t _threshol[], uint32_t epochTime = 0);
void restoreThreshold(void);

int8_t getStateControl();
void setModeLogicControl(uint8_t _mode);
uint8_t getModeLogicControl();

void notifyConfirm_EMG(bool isSuccess);
void setLed_EMG(uint8_t option);

int readData();
int readSD();

uint16_t getCalibHistory();
	
bool isGetOnHand();
void setupCalibSD();
void saveCalibHistory(uint32_t epochTime);

void printCalibHistory();

void signalProcessing();

// Function for sensor signal processing
void firstReadSensor();
void readSensor();
void filterSensor();
void setSensorDC();
void smoothSensor();
bool waitSensor(uint16_t _threshold, uint16_t waitTime);
bool waitRelax(uint16_t maxTimeWait);

// Function for reading and writing sensor signals using dynamic memory
void setupData();
void writeData();
void closeData();
void openData();
void clearData();

// Function for reading and writing sensor signals using flash memory
void setupSD();
void writeSD();
void openSD();
void closeSD();

uint8_t *returnData();
uint8_t *returnRev(); 

#ifdef __cplusplus
}
#endif


