#ifndef VULCAN_UUID_H
#define VULCAN_UUID_H

#include <zephyr/bluetooth/bluetooth.h>
#include <zephyr/bluetooth/hci.h>
#include <zephyr/bluetooth/conn.h>
#include <zephyr/bluetooth/uuid.h>
#include <zephyr/bluetooth/gatt.h>
#include <zephyr/bluetooth/hci_vs.h>
#include <zephyr/drivers/bluetooth/hci_driver.h>

#define BT_UUID_CUSTOM_SERVICE_MYOBAND \
	BT_UUID_128_ENCODE(0xdb1df223, 0x4020, 0x4c5a, 0x930c, 0x1989ea04991f)

static struct bt_uuid_128 ring_Service_UUID = BT_UUID_INIT_128(
	BT_UUID_CUSTOM_SERVICE_MYOBAND);

static struct bt_uuid_128 sensor_Service_UUID = BT_UUID_INIT_128(
	BT_UUID_128_ENCODE(0xefedd9eb, 0x24a9, 0x492a, 0xb66a, 0xed8543ee096e));



static struct bt_uuid_128 ota_UUID = BT_UUID_INIT_128(
	BT_UUID_128_ENCODE(0x149f93ef, 0x7481, 0x4536, 0x8f75, 0x50b5b55ab058));

static struct bt_uuid_128 name_Char_UUID = BT_UUID_INIT_128(
	BT_UUID_128_ENCODE(0x514bd5a1, 0x1ef9, 0x49c8, 0xb569, 0x127a84896d25));

static struct bt_uuid_128 hardware_Char_UUID = BT_UUID_INIT_128(
	BT_UUID_128_ENCODE(0x4e1dd354, 0x3a27, 0x466f, 0xbd2f, 0x4a4b870a132a));

static struct bt_uuid_128 count_Control_UUID = BT_UUID_INIT_128(
	BT_UUID_128_ENCODE(0x9f340bf0, 0x970e, 0x4f02, 0x8de5, 0xa7b175abfdca));



static struct bt_uuid_128 signal_UUID = BT_UUID_INIT_128(
	BT_UUID_128_ENCODE(0xebbb06e2, 0xe254, 0x4989, 0x9555, 0xa7fc9ca8f5c4));

static struct bt_uuid_128 threshold_UUID = BT_UUID_INIT_128(
	BT_UUID_128_ENCODE(0x39b2df5b, 0xb7d4, 0x48c6, 0xafd2, 0xe0095d4a999c));

static struct bt_uuid_128 logic_UUID = BT_UUID_INIT_128(
	BT_UUID_128_ENCODE(0x363b46ab, 0x0bc8, 0x4b76, 0xad6f, 0x2320302d1da5));

static struct bt_uuid_128 state_Control_UUID = BT_UUID_INIT_128(
	BT_UUID_128_ENCODE(0x22e5bbd9, 0x62d8, 0x45eb, 0x9ffd, 0x4a2b88cd6c3a));

static struct bt_uuid_128 battery_UUID = BT_UUID_INIT_128(
	BT_UUID_128_ENCODE(0xd23b3d36, 0xe178, 0x4528, 0xaf4d, 0x7e8f9139aa20));

static struct bt_uuid_128 calib_History_UUID = BT_UUID_INIT_128(
	BT_UUID_128_ENCODE(0xb55a506d, 0xfc89, 0x41ba, 0x8d35, 0x811a90bbe346));

#endif