#include <inttypes.h>
#include <stddef.h>
#include <stdint.h>
#include <zephyr/kernel.h>
#include <zephyr/sys/printk.h>
#include <zephyr/sys/reboot.h>
#include <zephyr/drivers/flash.h>
#include <zephyr/storage/flash_map.h>
#include <zephyr/fs/nvs.h>

#ifdef __cplusplus
extern "C" {
#endif

void begin_NVS(struct nvs_fs* p_fs);

void read_Init_DataString_Device(uint16_t _id, char *_dataInit, char *_dataNew, size_t len);
void read_Init_DataThreshold_Device(uint16_t _id, uint16_t *_dataInit, uint16_t *_dataNew, size_t len);
void read_Init_DataInt_Device(uint16_t _id, uint8_t *_dataInit, uint8_t *_dataNew, size_t len);
void read_Init_DataString_Device_Version(uint16_t _id, char *_dataInit, char *_dataNow, size_t len);

void save_nvs_String(uint16_t id, char *pData);
void save_nvs_Int16(uint16_t id, uint16_t *pData);
void save_nvs_Int8(uint16_t id, uint8_t *pData);

void save_nvs_Threshold(uint16_t id, uint16_t *pData, uint8_t lenData);
uint8_t get_nvs_Threshold(uint16_t id, uint16_t *pdata, size_t len);
uint8_t get_nvs_ModeLogic(uint16_t id, uint8_t *pdata, size_t len);

#ifdef __cplusplus
}
#endif